Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001148Core InformRules and rulebookspublic2013-11-14 16:502014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001148: A region as the noun in a rule preamble is compiled to a TestRegionalContainment call rather than an equality test
DescriptionThe preamble condition from the attached source compiles to

- - - -
if ((action ==##A80_barring) && (actor==player) && (TestRegionalContainment(noun,I89_foo))) { ! Runs only when pattern matches
- - - -

which checks that the noun is regionally in foo, rather than that the noun is foo.

Uncommenting the extra words in the preamble gives a workaround.
Minimal Source Text To Reproduce
There is a room.
Foo is a region.
Barring is an action applying to one visible thing.
Understand "bar [any region]" as barring.
Instead of barring [a region that is] foo: say "Foo barred."
Test me with "rules all / bar foo".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002165)
zarf (developer)
2013-11-18 21:05

Confirmed.

I tried to find some more common idiom that this generated code might be trying to cover. Couldn't, though.
(0002388)
graham (administrator)
2014-01-26 13:30

This was a bug, but it arises from the code which enables something like "Instead of going from the Backwoods Area" to work, which tests if the room gone from is regionally contained in Backwoods Area.

- Issue History
Date Modified Username Field Change
2013-11-14 16:50 EmacsUser New Issue
2013-11-18 21:05 zarf Note Added: 0002165
2013-11-18 21:05 zarf Status new => confirmed
2014-01-26 13:30 graham Note Added: 0002388
2014-01-26 13:30 graham Status confirmed => resolved
2014-01-26 13:30 graham Resolution open => fixed
2014-01-26 13:30 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker